@import "../../../../base";
@import "../../../../theme";

.round-comp {
  display: grid;
  grid-row-gap: $mat-cell-dimension;
  padding: $mat-cell-dimension;

  .round-match {
    padding: $mat-cell-dimension;
    @extend %full-centered-content;
    flex-direction: column;

    .round-match-summary {
      @extend %mat-headline6
    }

    .round-match-winner {
      @extend %mat-headline5;
      color: $mdc-theme-primary;
    }

    .round-match-fields {
      @include mat-top-margin(4);
      @extend %mat-body1;
      display: grid;
      grid-template-rows: $mat-cell-dimension * 4 $mat-cell-dimension * 4 $mat-cell-dimension * 4;
    }

    .round-match-opponents {
      @include mat-top-margin(4);
      display: grid;
      align-self: flex-start;
      grid-row-gap: $mat-cell-dimension * 2;

      .round-match-opponent {
        align-self: flex-start;

        .round-match-opponent-label {
          color: $mdc-theme-primary;
        }
      }
    }
  }
}